/////////////////////////////////////// *** distribution nouriture *** ///////////////////////////////////////
// **************************************** ditribution manuel  
if ((tempsactuel - tempsprecedent2 <= delaisnouriture) && (compteur3 == 1)){
  if (img2==true){
    img2 = !img2;
    drawBMP("erreur.bmp", 439, 260, BU_BMP);
    drawBMP("ok.bmp", 439, 185, BU_BMP);
    }
  }  
else {
  // **************************************** distribution automatique a 12h00
  if (time == 120000) {
    tempsprecedent2 = tempsactuel;
    compteur3 = 1;
    digitalWrite(nouriture, HIGH);
    delay (100);
    digitalWrite(nouriture, LOW);
    }
  else {
    compteur3 = 0;
    }      
  // **************************************** distribution automatique a 20h00
  if (time == 200000) {
    tempsprecedent2 = tempsactuel;
    compteur3 = 1;
    digitalWrite(nouriture, HIGH);
    delay (100);
    digitalWrite(nouriture, LOW);
    }
  else {
    compteur3 = 0;
    digitalWrite(remontee, LOW);
    digitalWrite(nouriture, LOW);
    if (img2==false){
      img2 = !img2;
      drawBMP("ok.bmp", 439, 260, BU_BMP);
      drawBMP("erreur.bmp", 439, 185, BU_BMP);
      }
    }
  }
